*, *:after, *:before {
    box-sizing: border-box;
}


html, body {
//    min-height: 100%;
    width: 100%;
    font-family: 'Coda', sans-serif;
    background: #12191f;
    color: #93a0a7;
}

body > section {
    height: 100%;
    width: 100%;
}

h1, h2, h3 {
    text-align: center;
    margin: 30px;
}

*:focus {
    outline: none;
}

table {
    margin: auto;
}

th, td {
    padding: 5px;
    text-align: left;
}

.formRadio {
    margin-left: calc(50% - 30px);
}

form input {
    margin-top: 0;
}

.bttn {
    background: none;
    color: #93a0a7;
    border: solid 1px #93a0a7;
    border-radius: 3px;
    padding: 5px 15px;
    margin: 25px 0 15px -15px;
    transition: all ease 0.75s;
    cursor: pointer;
}

.bttn:hover {
    border-color: #ec6726;
    color: #ec6726;
    background: rgba(236, 103, 38, 0.15);
}

.group-label,
.tick text {
    fill: #d0dee5;
}

#chart {
    width: 90%;
    height: 150px;
    background: rgba(236, 103, 38, 0.15);
//    background: rgb(218, 218, 218);
    opacity: 0.9;
    border-radius: 5px;
    border: 1px solid #ec6726;
}

#chart line {
    stroke: #ec6726;
}

#chart line.vertical-marker.now {
    stroke: #c00;
}

rect.interval.blue-interval {
    fill: blue;
    stroke: blue;
}

rect.interval.red-interval {
    fill: red;
    stroke: red;
}

rect.interval.orange-interval {
    fill: orange;
    stroke: orange;
}

rect.interval.green-interval {
    fill: green;
    stroke: green;
}

rect.interval.white-interval {
    fill: white;
    stroke: white;
}

text.interval-text.white-interval {
    fill: black;
}

circle.blue-dot {
    fill: blue;
}

circle.red-dot {
    fill: red;
}

circle.orange-dot {
    fill: orange;
}

circle.green-dot {
    fill: green;
}

circle.white-dot {
    fill: white;
}

/* radio bttns */

input[type="radio"] {
    opacity: 0;
    cursor: pointer;
    display: block;
    width: 30px;
    height: 30px;
    outline: none;
}

input[type="radio"]:checked + label .circle {
    border-color: #93a0a7;
}

input[type="radio"]:checked + label .circle:before {
    background: #93a0a7;
}

input[type="radio"]:checked:hover + label .circle:before {
    background: #ec6726;
}

input[type="radio"]:hover + label .circle {
    border-color: #ec6726;
}

.circle {
    content: '';
    height: 14px;
    width: 14px;
    display: block;
    background-color: transparent;
    border-radius: 50%;
    border: solid 2px #314547;
    transition: border-color 0.25s linear;
    margin-top: -20px;
}

.circle:before {
    transition: background 0.25s linear;
    display: block;
    position: relative;
    left: 20%;
    top: 20%;
    height: 6px;
    width: 6px;
    content: '';
    background: transparent;
    border-radius: 50%;
}

.radioSpan {
    cursor: pointer;
    position: relative;
    top: -15px;
    left: 20px;
}

/* Override d3tip */

.d3-tip {
    background: white;
    color: black;
}

/* Tiny Flex Grid */

[flex] {
    display: flex;
}
[flex-fill] {
    flex: 1;
}
[flex-full-center] {
    align-items: center;
    justify-content: center;
}
[flex-direction=column] {
    flex-direction: column;
}
[flex-direction=row] {
    flex-direction: row;
}
[flex-size="40"] {
    flex: 40;
}
[flex-size="60"] {
    flex: 60;
}
